{% macro article(entry) %}
    <article>
        <h1>{{ entry.title }}</h1>
    </article>
{% endmacro %}

{% macro contentBuilder(content) %}
    <div class="content-builder">
    {% for block in content %}
        {% switch block.type %}

        {% case 'heading2' %}
        <h2 class="cb-h2">{{ block.heading2 }}</h2>

        {% case 'heading3' %}
        <h3 class="cb-h3">{{ block.heading3 }}</h3>

        {% case 'heading4' %}
        <h4 class="cb-h4">{{ block.heading4 }}</h4>

        {% case 'heading5' %}
        <h5 class="cb-h5">{{ block.heading5 }}</h5>

        {% case 'heading6' %}
        <h6 class="cb-h6">{{ block.heading6 }}</h6>

        {% case 'paragraph' %}
        <div class="cb-paragraph">
            {{ block.paragraph }}
        </div>

        {% case 'richText' %}
        <div class="cb-rich-text">
            {{ block.richText }}
        </div>

        {% case 'blockquote' %}
        <blockquote class="cb-blockquote">
            {{ block.blockquoteData }}
            <br><span class="cite">- {{ block.blockquoteCite }}</span>
        </blockquote>

        {% case 'image' %}
        {% for image in block.imageData %}
            <div class="cb-img">
                <img src="{{ image.getUrl() }}" width="{{ image.getWidth() }}"
                    height="{{ image.getHeight() }}" alt="{{ image.title }}"/>
                <p class="image-caption">{{ block.imageCaption }}</p>
            </div>
        {% endfor %}

        {% case 'horizontalLine' %}
        <hr class="cb-hr">

        {# DO NOT REMOVE, we may use these later  #}

        {% case 'button' %}
        <a href="{{ block.buttonLink.url }}">
            <button class="button rounded fill-orange">{{ block.buttonLink.text | upper }}</button>
        </a>

        {% case 'htmlBlock' %}
            {{ block.embedCode | raw }}

        {% case 'videoEmbed' %}
            <iframe src="https://player.vimeo.com/video/{{ block.videoEntry.first().videoPopupId }}?color=ffffff&title=0&byline=0&portrait=0" width="640" height="360" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>

        {# {% case 'ctaSection' %}
        <div class="cb-cta-section clearfix">
            {% for cta in block.ctaSection %}
                <div class="left-side">
                    <h3>{{ cta.title }}</h3>
                    <p>{{ cta.ctaDescription }}</p>
                    <a href="{{ cta.ctaDownload[0].url }}" target="_blank"><button class="button clear-bg-white-border">Download Now</button></a>
                </div>
                <div class="right-side">
                    <img src="{{ cta.ctaDownloadImage[0].url }}" alt="{{ cta.id }}">
                </div>
            {% endfor %}
        </div> #}

        {% endswitch %}
    {% endfor %}
</div>
{% endmacro %}
